<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NotRequirement](./bitburner.notrequirement.md)

## NotRequirement interface

The sub-condition must not be satisfied.

**Signature:**

```typescript
interface NotRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [condition](./bitburner.notrequirement.condition.md) |  | [PlayerRequirement](./bitburner.playerrequirement.md) |  |
|  [type](./bitburner.notrequirement.type.md) |  | "not" |  |

